<?xml version="1.0" encoding="utf-8"?>
<PreferenceScreen
  xmlns:android="http://schemas.android.com/apk/res/android">
	<PreferenceCategory android:title="@string/pref_title_general">
		<PreferenceScreen
			android:title="@string/pref_title_login"
			android:summary="@string/pref_summary_login"
			>
			<intent
				android:action="jp.sourceforge.nicoro.intent.action.EDIT_LOGIN"
				android:targetPackage="jp.sourceforge.nicoro"
				android:targetClass="jp.sourceforge.nicoro.LoginActivity"
				>
			</intent>
		</PreferenceScreen>
		<CheckBoxPreference
			android:key="@string/pref_key_show_hint_toast"
			android:title="@string/pref_title_show_hint_toast"
			android:summary="@string/pref_summary_show_hint_toast"
			android:defaultValue="true"
			/>
		<CheckBoxPreference
			android:key="@string/pref_key_mp4_mediaplayer"
			android:title="@string/pref_title_mp4_mediaplayer"
			android:summary="@string/pref_summary_mp4_mediaplayer"
			android:defaultValue="true"
			/>
		<CheckBoxPreference
			android:key="@string/pref_key_message_antialias"
			android:title="@string/pref_title_message_antialias"
			android:summary="@string/pref_summary_message_antialias"
			android:defaultValue="true"
			/>
		<CheckBoxPreference
			android:key="@string/pref_key_message_disable"
			android:title="@string/pref_title_message_disable"
			android:summary="@string/pref_summary_message_disable"
			android:defaultValue="false"
			/>
		<CheckBoxPreference
			android:key="@string/pref_key_16_9_fullscreen"
			android:title="@string/pref_title_16_9_fullscreen"
			android:summary="@string/pref_summary_16_9_fullscreen"
			android:defaultValue="false"
			/>
		<ListPreference
			android:key="@string/pref_key_strage_cache_size"
			android:title="@string/pref_title_strage_cache_size"
			android:summary="@string/pref_summary_strage_cache_size"
			android:dialogTitle="@string/pref_dialogtitle_strage_cache_size"
			android:entries="@array/pref_entries_strage_cache_size"
			android:entryValues="@array/pref_entryvalues_strage_cache_size"
			android:defaultValue="512"
			/>
		<CheckBoxPreference
			android:key="@string/pref_key_browser_zoom_controls"
			android:title="@string/pref_title_browser_zoom_controls"
			android:summary="@string/pref_summary_browser_zoom_controls"
			android:defaultValue="true"
			/>
	</PreferenceCategory>
	<PreferenceCategory android:title="@string/pref_title_mediaplayer">
		<CheckBoxPreference
			android:key="@string/pref_key_mediaplayer_streaming"
			android:title="@string/pref_title_mediaplayer_streaming"
			android:summary="@string/pref_summary_mediaplayer_streaming"
			android:defaultValue="true"
			/>
		<CheckBoxPreference
			android:key="@string/pref_key_mediaplayer_shift_stream_to_file"
			android:title="@string/pref_title_mediaplayer_shift_stream_to_file"
			android:summary="@string/pref_summary_mediaplayer_shift_stream_to_file"
			android:defaultValue="true"
			/>
	</PreferenceCategory>
	<PreferenceCategory android:title="@string/pref_title_ffmpeg">
		<!-- <CheckBoxPreference
			android:key="@string/pref_key_ffmpeg_soundonly"
			android:title="@string/pref_title_ffmpeg_soundonly"
			android:summary="@string/pref_summary_ffmpeg_soundonly"
			android:defaultValue="false"
			/> -->
		<!-- <ListPreference
			android:key="@string/pref_key_ffmpeg_scale"
			android:title="@string/pref_title_ffmpeg_scale"
			android:summary="@string/pref_summary_ffmpeg_scale"
			android:dialogTitle="@string/pref_dialogtitle_ffmpeg_scale"
			android:entries="@array/pref_entries_ffmpeg_scale"
			android:entryValues="@array/pref_entryvalues_ffmpeg_scale"
			android:defaultValue="3"
			/> -->
		<CheckBoxPreference
			android:key="@string/pref_key_ffmpeg_bitmap_filter"
			android:title="@string/pref_title_ffmpeg_bitmap_filter"
			android:summary="@string/pref_summary_ffmpeg_bitmap_filter"
			android:defaultValue="false"
			/>
		<!-- <CheckBoxPreference
			android:key="@string/pref_key_ffmpeg_opengles"
			android:title="@string/pref_title_ffmpeg_opengles"
			android:summary="@string/pref_summary_ffmpeg_opengles"
			android:defaultValue="false"
			/> -->
		<CheckBoxPreference
			android:key="@string/pref_key_ffmpeg_cache_when_choppy"
			android:title="@string/pref_title_ffmpeg_cache_when_choppy"
			android:summary="@string/pref_summary_ffmpeg_cache_when_choppy"
			android:defaultValue="false"
			/>
	</PreferenceCategory>
	<PreferenceCategory android:title="@string/pref_title_swf">
		<CheckBoxPreference
			android:key="@string/pref_key_swf_mediaplayer"
			android:title="@string/pref_title_swf_mediaplayer"
			android:summary="@string/pref_summary_swf_mediaplayer"
			android:defaultValue="true"
			/>
	</PreferenceCategory>
</PreferenceScreen>
